#!/usr/bin/env bash
set -e

# Directory of *this* script
this_dir="$( cd "$( dirname "$0" )" && pwd )"
src_dir="$(realpath "${this_dir}/..")"
venv="${src_dir}/.venv"

if [[ -d "${venv}" ]]; then
    echo "Using virtual environment at ${venv}" >&2
    source "${venv}/bin/activate"
fi

export PYTHONPATH="${src_dir}:${PYTHONPATH}"
python3 "${this_dir}/intents-to-dot.py" | dot -Tsvg
